Subject: Re: [PATCH v10 1/3] unit tests: Add a project plan document

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Nov 2023 08:15:02 +0900

Josh Steadmon <[email-masked]> writes:

> In our current testing environment, we spend a significant amount of
> effort crafting end-to-end tests for error conditions that could easily
> be captured by unit tests (or we simply forgo some hard-to-setup and
> rare error conditions). Describe what we hope to accomplish by
> implementing unit tests, and explain some open questions and milestones.
> Discuss desired features for test frameworks/harnesses, and provide a
> comparison of several different frameworks. Finally, document our
> rationale for implementing a custom framework.
>
> Co-authored-by: Calvin Wan <[email-masked]>
> Signed-off-by: Calvin Wan <[email-masked]>
> Signed-off-by: Josh Steadmon <[email-masked]>
> ---
>  Documentation/Makefile                 |   1 +
>  Documentation/technical/unit-tests.txt | 240 +++++++++++++++++++++++++
>  2 files changed, 241 insertions(+)
>  create mode 100644 Documentation/technical/unit-tests.txt

Looks good.  I'll downcase "Add" on the title to match what I have
in my tree, but otherwise it looks OK to me.  Let's see if we can
mark this round ready for 'next' and check if we hear complaints.

I have to make sure I do not forget about the other topic that
builds on top of this one.

Thanks.